/*
 * kding.cpp
 *
 * Copyright (c) 2005 Michael Rex <me@rexi.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */

#include "kding.h"
#include "kdingsystray.h"
#include "translatedialog.h"
#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <kdebug.h>

KDing::KDing(const KAboutData* about) : KUniqueApplication(about) {
    
}

KDing::~KDing() {
    
}

int KDing::newInstance() {
    KUniqueApplication::newInstance();
    
    // handle command line arguments
    KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
    
    if(args->count() > 0) {
        TranslateDialog* dialog = new TranslateDialog(kapp->mainWidget());
        dialog->show();
        dialog->translate(args->arg(0));
    }
    /*
    QString translate = args->getOption("translate");
    if(translate != 0)
    {
        TranslateDialog* dialog = new TranslateDialog();
        dialog->show();
        dialog->translate(translate);
    }
//        dynamic_cast<KDing*>(kapp)->translator()->translate(translate);
    */
    args->clear();

    // exit value for the calling process
    return 0;
}

