/*
 * kdingsystray.h
 *
 * Copyright (c) 2005 Michael Rex <me@rexi.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */

#ifndef KDINGSYSTRAY_H
#define KDINGSYSTRAY_H

#include <ksystemtray.h>

class TranslateDialog;
class KPopupMenu;
class KHelpMenu;
class KGlobalAccel;
class QMouseEvent;

/**
 * @author Michael Rex
 */
class KDingSysTray : public KSystemTray {
    Q_OBJECT

public:
    KDingSysTray(QWidget* parent = 0, const char* name = 0);
    ~KDingSysTray();
    
public slots:
    void showShortcuts();
    void translate();
    void translateWord();
    void showConfig();

protected:
    void mousePressEvent(QMouseEvent*);

private:
    KPopupMenu* menu;
    KGlobalAccel* accel;
    KHelpMenu* help;
    TranslateDialog* dialog;
};

#endif
