/*
 * main.cpp
 *
 * Copyright (c) 2005 Michael Rex <me@rexi.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */

#include "kdingsystray.h"
#include "kding.h"

#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <kdebug.h>
#include <klocale.h>

static KCmdLineOptions options[] = {
//    { "t", 0 , 0 },
//    { "translate <phrase>", I18N_NOOP("Translate the given phrase"), 0 },
    { "+[phrase]", I18N_NOOP("Translate the given phrase"), 0 },
    KCmdLineLastOption
};

int main(int argc, char *argv[]) {
    // add About dialog data
    KAboutData* about = new KAboutData("kding", "KDing", "0.4.1");
    about->setShortDescription(I18N_NOOP("KDE port of Ding, the DIctionary Nice Grep"));
    about->setLicense(KAboutData::License_GPL_V2);
    about->setCopyrightStatement("(c) 2005-2007, Michael Rex");
    about->setHomepage("http://www.rexi.org/software/kding/");
    about->setBugAddress("me@rexi.org");
    about->addAuthor("Michael Rex", 0, "me@rexi.org");
    about->addCredit("Frank Richter", I18N_NOOP("original author of Ding, for the inspiration for KDing"), 0, "http://www-user.tu-chemnitz.de/~fri/ding/");
    
    // add command line options
    KCmdLineArgs::init(argc, argv, about);
    KCmdLineArgs::addCmdLineOptions(options);
    KUniqueApplication::addCmdLineOptions();
    
    // start program
    KDing app(about);
    KDingSysTray* tray = new KDingSysTray();
    app.setMainWidget(tray);
    tray->show();
    
    return app.exec();
}
