/*
 * resultitem.cpp
 *
 * Copyright (c) 2006 Michael Rex <me@rexi.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */

#include "resultitem.h"

ResultItem::ResultItem(const QString& text, const int priority) : str(text), prio(priority) {
    
}

ResultItem::~ResultItem() {
    
}

QString ResultItem::text() const {
    return str;
}

void ResultItem::setText(const QString& text) {
    this->str = text;
}

int ResultItem::priority() const {
    return prio;
}

void ResultItem::setPriority(const int priority) {
    this->prio = priority;
}

void ResultItem::addToPriority(const int priority) {
    this->prio += priority;
}

bool ResultItem::operator<(const ResultItem& other) const {
    return !(priority() < other.priority());
}

